---
updatedAt: 2026-11-10T17:49:36.000Z
agentTools:
  projectIndex: https://developers.activecampaign.com/llms.txt
---

# Update a pipeline

Update an existing pipeline

By providing user ids with `dealGroup.users` and enabling the auto-assign option with `dealGroup.autoassign: 1`, the pipeline can control how new deals are assigned to the owners.\
By providing user group ids with `dealGroup.groups`, the pipeline can control which user groups are allowed to manage the pipeline.

```json PUT /dealGroups/:id (Example REQUEST)
{
  "dealGroup": {
    "allgroups": 1,
    "allusers": 0,
    "autoassign": 1,
    "currency": "eur",
    "title": "Qualifications",
    "users": ["3"],
    "groups": []
  }
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v3",
    "version": "3"
  },
  "servers": [
    {
      "url": "https://{youraccountname}.api-us1.com/api/3",
      "variables": {
        "youraccountname": {
          "default": "youraccountname"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "Api-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/dealGroups/{id}": {
      "put": {
        "summary": "Update a pipeline",
        "description": "Update an existing pipeline",
        "operationId": "update-a-pipeline",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Pipeline's id",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "dealGroup": {
                    "properties": {
                      "title": {
                        "type": "string",
                        "description": "Pipeline's title"
                      },
                      "currency": {
                        "type": "string",
                        "description": "Default currency to assign to new deals that belong to this deal group."
                      },
                      "allgroups": {
                        "type": "integer",
                        "description": "Whether all user groups have permission to manage this pipeline. Can be either `1` or `0`. If `1`, all user groups can manage this pipeline. If `0`, only user groups in `dealGroup.groups` parameter can manage this pipeline.",
                        "default": 1,
                        "format": "int32"
                      },
                      "allusers": {
                        "type": "integer",
                        "description": "Whether new deals get auto-assigned to all users. Can be either `1` or `0`. If `1`, new deals are auto-assigned to all users unless auto-assign is disabled. If `0`, new deals are auto-assigned to only the users in `dealGroup.users` parameter.",
                        "default": 0,
                        "format": "int32"
                      },
                      "autoassign": {
                        "type": "integer",
                        "description": "Deal auto-assign option. Can be one of `0`, `1`, and `2`. If `0`, auto-assign is disabled. If `1`, Round Robin method is used to auto-assign new deals. If `2`, deals are distributed based on deal values.",
                        "default": 1,
                        "format": "int32"
                      },
                      "users": {
                        "type": "array",
                        "description": "List of user ids to auto-assign new deals to unless auto-assign option is disabled.",
                        "items": {
                          "type": "string"
                        }
                      },
                      "groups": {
                        "type": "array",
                        "description": "List of user group ids to allow managing this pipeline.",
                        "items": {
                          "type": "string"
                        }
                      },
                      "source": {
                        "type": "string",
                        "enum": [
                          "",
                          "partner-hub"
                        ]
                      }
                    },
                    "required": [],
                    "type": "object",
                    "additionalProperties": false
                  }
                },
                "additionalProperties": false
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "dealGroup": {
                      "allgroups": 1,
                      "allusers": 0,
                      "autoassign": 1,
                      "currency": "eur",
                      "title": "Qualifications",
                      "users": [
                        "3"
                      ],
                      "groups": []
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"dealGroup\": {\n    \"allgroups\": 1,\n    \"allusers\": 0,\n    \"autoassign\": 1,\n    \"cdate\": \"2017-03-30T12:11:30-05:00\",\n    \"currency\": \"eur\",\n    \"dealGroupGroups\": [],\n    \"dealGroupUsers\": [\n      \"4\"\n    ],\n    \"id\": \"4\",\n    \"links\": {\n      \"dealGroupGroups\": \"https://:account.api-us1.com/api/3/dealGroups/4/dealGroupGroups\",\n      \"dealGroupUsers\": \"https://:account.api-us1.com/api/3/dealGroups/4/dealGroupUsers\",\n      \"stages\": \"https://:account.api-us1.com/api/3/dealGroups/4/stages\"\n    },\n    \"title\": \"Qualifications\",\n    \"udate\": \"2017-03-30T13:44:32-05:00\"\n  },\n  \"dealGroupGroups\": [],\n  \"dealGroupUsers\": [\n    {\n      \"cdate\": null,\n      \"dealGroup\": \"4\",\n      \"id\": \"4\",\n      \"links\": {\n        \"dealGroup\": \"https://:account.api-us1.com/api/3/dealGroupUsers/4/dealGroup\",\n        \"user\": \"https://:account.api-us1.com/api/3/dealGroupUsers/4/user\"\n      },\n      \"user\": \"3\"\n    }\n  ]\n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "dealGroup": {
                      "type": "object",
                      "properties": {
                        "allgroups": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "allusers": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "autoassign": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "cdate": {
                          "type": "string",
                          "example": "2017-03-30T12:11:30-05:00"
                        },
                        "currency": {
                          "type": "string",
                          "example": "eur"
                        },
                        "dealGroupGroups": {
                          "type": "array"
                        },
                        "dealGroupUsers": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "4"
                          }
                        },
                        "id": {
                          "type": "string",
                          "example": "4"
                        },
                        "links": {
                          "type": "object",
                          "properties": {
                            "dealGroupGroups": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/dealGroups/4/dealGroupGroups"
                            },
                            "dealGroupUsers": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/dealGroups/4/dealGroupUsers"
                            },
                            "stages": {
                              "type": "string",
                              "example": "https://:account.api-us1.com/api/3/dealGroups/4/stages"
                            }
                          }
                        },
                        "title": {
                          "type": "string",
                          "example": "Qualifications"
                        },
                        "udate": {
                          "type": "string",
                          "example": "2017-03-30T13:44:32-05:00"
                        }
                      }
                    },
                    "dealGroupGroups": {
                      "type": "array"
                    },
                    "dealGroupUsers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "cdate": {},
                          "dealGroup": {
                            "type": "string",
                            "example": "4"
                          },
                          "id": {
                            "type": "string",
                            "example": "4"
                          },
                          "links": {
                            "type": "object",
                            "properties": {
                              "dealGroup": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/dealGroupUsers/4/dealGroup"
                              },
                              "user": {
                                "type": "string",
                                "example": "https://:account.api-us1.com/api/3/dealGroupUsers/4/user"
                              }
                            }
                          },
                          "user": {
                            "type": "string",
                            "example": "3"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```